BizKitHub
DocsAPI ReferenceLedger/bff/ledger/settings/money-account/create
postLedgerAdmin BFF

/bff/ledger/settings/money-account/create

Create a money account

LedgerpostBffLedgerSettingsMoney-accountCreate

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
kind"bank" | "cash" | "gateway" | "card" | "cod" | "credit" | "other"Required
namestringRequired
Length: 1–200
currencystringRequired
Length: 3–3
glAccountCodestring | nullOptional
One of 2:
Variant 1
string
Length: 0–16
Variant 2
null
ibanstring | nullOptional
One of 2:
Variant 1
string
Length: 0–42
Variant 2
null
openingBalancenumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
openingDatestring | nullOptional
One of 2:
Variant 1
string
Example2026-01-01
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired

Response example

application/json
{
  "success": false,
  "id": "example_id"
}

Request example

POST /bff/ledger/settings/money-account/create

post
curl -X POST "https://api.bizkithub.com/bff/ledger/settings/money-account/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "name": "example_name",
  "currency": "example_currency"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key